%on verifie les valeurs des vitesses
 plot(dyntr4ve)
 pause
 plot(dyntr4vn)
 pause
%on verifie si les donnees navigation sont bonnes 
 plot(dyntr4he(:,6),dyntr4he(:,5))
 pause

%calcul de la vitesse de reference (bin 25-30):
 veref=mean(dyntr4ve(:,25:30)');
 vnref=mean(dyntr4vn(:,25:30)');
 for j=1:24
 vxrel(:,j)=dyntr4ve(:,j)-veref';
 vyrel(:,j)=dyntr4vn(:,j)-vnref';
 end

%calcul de la vitesse relative filtree
 [b,a]=butter(5,1/10);
 for j=1:24
 vxrelf(:,j)=filtfilt(b,a,vxrel(:,j));
 vyrelf(:,j)=filtfilt(b,a,vyrel(:,j));
 end
 plot(vxrelf)
 pause
 plot(vyrelf)
 pause


